[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#506406: [Pkg-xfce-devel] Bug#506406: xfce4: apt bug causes gdm to pull in unneeded/unwanted gnome dependencies

On Tue, 06 Jan 2009 07:36:09 +0100
Yves-Alexis Perez <corsac@debian.org> wrote:

> So it's not that hard. Manually replacing foomatic-gui by
> system-config-printer gives:
> xfce:~# apt-get --no-install-recommends remove --purge foomatic-gui
> system-config-printer+
> Reading package lists... Done
> Building dependency tree       
> Reading state information... Done
> The following packages were automatically installed and are no longer
> required:
>   python-gtkhtml2
> Use 'apt-get autoremove' to remove them.
> The following extra packages will be installed:
>   python-cups python-cupsutils python-notify system-config-printer
> Recommended packages:
>   hal-cups-utils synaptic
> The following packages will be REMOVED:
>   foomatic-gui*
> The following NEW packages will be installed:
>   python-cups python-cupsutils python-notify system-config-printer
> 0 upgraded, 4 newly installed, 1 to remove and 0 not upgraded.
> Need to get 823kB of archives.
> After this operation, 3009kB of additional disk space will be used.
> Do you want to continue [Y/n]? 
> I'll try an install with the Xfce cd to see if that matches. But
> basically I don't see gnome-session or stuff like that coming in.
> Daniel: it seems I can't reproduce the bug where gnome-session is
> installed. I'll try again (in case it's a random bug), but basically
> I'd be fine keeping everything that way, and take care of Xfce task
> early in squeeze process.

Perhaps it's only when one tries to install xfce after doing a standard
install and not when using an xfce cd  (that's when it showed up for
me).  So probably tasksel is fine, the problem is that if you apt-get
or aptitude|select task, then it pulls in the stuff.  Nautilus and that
are only probably only pulled in because of recommends when installing
after-the-fact and gnome-session is a bug in aptitude and apt.  

I've reported that bug on aptitude and it will be worked on post-lenny
(too invasive to change for lenny) but have to work out the apt-get bug.
It looks to me like whether apt-get considers the depends fulfilled
depends on the order the packages are listed on the command line.

So except the aptitude bug, this could be solved by appropriate
documentation, perhaps in the installation guide?

I can work on the text if you need.

I'd be talking about (in better english)
if installing xfce outside d-i (e.g. installing a standard system and
then using aptitude or apt-get, for example if using a netboot image)
1) if using aptitude, select the xfce-desktop task and then deselect
gnome-session, etc
2) if using apt-get make sure xfce4-session is before gdm in the list
of packages you install

Does that sound reasonable?



And that's my crabbing done for the day.  Got it out of the way early, 
now I have the rest of the afternoon to sniff fragrant tea-roses or 
strangle cute bunnies or something.   -- Michael Devore
GnuPG Key Fingerprint 86 F5 81 A5 D4 2E 1F 1C      http://gnupg.org
The C Shore: http://www.wightman.ca/~cshore

Attachment: signature.asc
Description: PGP signature

Reply to: